Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class RuntimeImpl

    java.lang.Object
      org.jbpm.runtime.manager.impl.RuntimeImpl

All Implemented Interfaces:
  org.kie.internal.runtime.manager.Disposable, org.kie.internal.runtime.manager.Runtime

Direct Known Subclasses:
  SynchronizedRuntimeImpl

    public class RuntimeImpl

extends Object
implements org.kie.internal.runtime.manager.Runtime, org.kie.internal.runtime.manager.Disposable

Constructor Summary
`RuntimeImpl(KieSession ksession, org.kie.internal.task.api.TaskService taskService)`

Method Summary
`void` | `addDisposeListener(org.kie.internal.runtime.manager.DisposeListener listener)`
`void` | `dispose()`
`KieSession` | `getKieSession()`
`org.kie.internal.runtime.manager.RuntimeManager` | `getManager()`
`org.kie.internal.task.api.TaskService` | `getTaskService()`
`void` | `setManager(org.kie.internal.runtime.manager.RuntimeManager manager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeImpl

    public RuntimeImpl(KieSession ksession,
                       org.kie.internal.task.api.TaskService taskService)

Method Detail

### getKieSession

    public KieSession getKieSession()

  Specified by:
    `getKieSession` in interface `org.kie.internal.runtime.manager.Runtime`

### getTaskService

    public org.kie.internal.task.api.TaskService getTaskService()

  Specified by:
    `getTaskService` in interface `org.kie.internal.runtime.manager.Runtime`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.kie.internal.runtime.manager.Disposable`

### addDisposeListener

    public void addDisposeListener(org.kie.internal.runtime.manager.DisposeListener listener)

  Specified by:
    `addDisposeListener` in interface `org.kie.internal.runtime.manager.Disposable`

### getManager

    public org.kie.internal.runtime.manager.RuntimeManager getManager()

### setManager

    public void setManager(org.kie.internal.runtime.manager.RuntimeManager manager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.